#include <bits/stdc++.h>
using namespace std;

#define all(x) begin(x), end(x)
#define sz(x) (ll)(x).size()

using ll = long long;
using ld = long double;

int main() {
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	ll n;
	cin >> n;
	ll i = 1;
	string s;
	for (; i+1 < n; i+=2) {
		cout << "? " << i << " " << i+1 << endl;
		cin >> s;
		if (s[0] != 'e') break;
	}
	cout << "? " << i << " " << (i == 1 ? 3 : i-1) << endl;
	cin >> s;
	cout << "! " << (s[0] != 'e' ? i : i+1) << endl;

}
 
